Skip to Content
Keko
API reference

Billing

GET
/v1/billing

Authorization

bearer
headerAuthorizationBearer <token>

Response Body

OK

application/json
  1. response
plan*string
Value in"free""pro"
status*string|null
renewsAt*string|null
cancelAtPeriodEnd*boolean
paymentFailed*boolean
period*
usedHours*number
includedHours*number
maxConcurrent*number
maxSize*string
Value in"small""default""large""xlarge"
blocked*|null
overage*
prices*|null
billingEnabled*boolean
hasCustomer*boolean
plans*
Example Request
curl -X GET 'https://api.keko.run/v1/billing'
Example Response
{  "plan": "free",  "status": "string",  "renewsAt": "string",  "cancelAtPeriodEnd": true,  "paymentFailed": true,  "period": {    "id": "string",    "start": "string",    "end": "string"  },  "usedHours": 0,  "includedHours": 0,  "maxConcurrent": 0,  "maxSize": "small",  "blocked": "hours_used",  "overage": {    "available": true,    "enabled": true,    "capHours": 0,    "usedHours": 0  },  "prices": {    "currency": "string",    "proMonthly": 0,    "overageHourly": 0  },  "billingEnabled": true,  "hasCustomer": true,  "plans": {    "free": {      "includedHours": 0,      "maxConcurrent": 0    },    "pro": {      "includedHours": 0,      "maxConcurrent": 0    }  }}
POST
/v1/billing/checkout

Authorization

bearer
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
linkVisits?boolean

Response Body

OK

application/json
  1. response
url*string
Example Request
curl -X POST 'https://api.keko.run/v1/billing/checkout' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "url": "string"}
POST
/v1/billing/portal

Authorization

bearer
headerAuthorizationBearer <token>

Response Body

OK

application/json
  1. response
url*string
Example Request
curl -X POST 'https://api.keko.run/v1/billing/portal'
Example Response
{  "url": "string"}
PATCH
/v1/billing/overage

Authorization

bearer
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
enabled*boolean
capHours?integer
Range1 <= value <= 10000

Response Body

OK

application/json
  1. response
plan*string
Value in"free""pro"
status*string|null
renewsAt*string|null
cancelAtPeriodEnd*boolean
paymentFailed*boolean
period*
usedHours*number
includedHours*number
maxConcurrent*number
maxSize*string
Value in"small""default""large""xlarge"
blocked*|null
overage*
prices*|null
billingEnabled*boolean
hasCustomer*boolean
plans*
Example Request
curl -X PATCH 'https://api.keko.run/v1/billing/overage' \  -H 'Content-Type: application/json' \  -d '{  "enabled": true}'
Example Response
{  "plan": "free",  "status": "string",  "renewsAt": "string",  "cancelAtPeriodEnd": true,  "paymentFailed": true,  "period": {    "id": "string",    "start": "string",    "end": "string"  },  "usedHours": 0,  "includedHours": 0,  "maxConcurrent": 0,  "maxSize": "small",  "blocked": "hours_used",  "overage": {    "available": true,    "enabled": true,    "capHours": 0,    "usedHours": 0  },  "prices": {    "currency": "string",    "proMonthly": 0,    "overageHourly": 0  },  "billingEnabled": true,  "hasCustomer": true,  "plans": {    "free": {      "includedHours": 0,      "maxConcurrent": 0    },    "pro": {      "includedHours": 0,      "maxConcurrent": 0    }  }}